import { Component, OnInit, ViewChild } from '@angular/core';
import { SFComponent, SFSchema, SFUISchema } from '@delon/form';

@Component({
  selector: 'app-choose-famifiar-add',
  templateUrl: './add.component.html'
})
export class PublishchooseFamifiarAddComponent implements OnInit {
  @ViewChild('sf', { static: false }) sf!: SFComponent;
  schema!: SFSchema;
  ui!: SFUISchema;

  i: any;

  constructor() {}

  ngOnInit(): void {
    this.initSF();
  }
  initSF() {
    this.schema = {
      properties: {
        name: {
          type: 'string',
          title: '司机手机号'
        }
      },
      required: ['name']
    };
    this.ui = {
      '*': {
        spanLabelFixed: 120,
        grid: { span: 24 }
      }
    };
  }

  close() {}
  save() {}
}
